<?xml version="1.0" encoding="UTF-8"?>

<faces-config
    xmlns="http://java.sun.com/xml/ns/javaee"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-facesconfig_1_2.xsd"
    version="1.2">
    <application>
    	<locale-config>
    		<default-locale>en</default-locale>
    		<supported-locale>en</supported-locale>
    	</locale-config>
    	<message-bundle>de.dass_it.vanhelsing.gui.messages</message-bundle>
    	
    </application>
	<managed-bean>
		<description>backend bean of the configuration tree view</description>
		<managed-bean-name>configurationBean</managed-bean-name>
		<managed-bean-class>de.dass_it.vanhelsing.gui.ConfigurationBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<description>backend bean of the schedule and job tree view</description>
		<managed-bean-name>jobScheduleBean</managed-bean-name>
		<managed-bean-class>de.dass_it.vanhelsing.gui.JobScheduleBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<description>backend bean of the topology (server) view</description>
		<managed-bean-name>topologyBean</managed-bean-name>
		<managed-bean-class>de.dass_it.vanhelsing.gui.TopologyBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<description>backend bean of the client item</description>
		<managed-bean-name>client</managed-bean-name>
		<managed-bean-class>de.dass_it.vanhelsing.gui.items.ClientItem</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<description>testbean for radiogroup</description>
		<managed-bean-name>selectionTags</managed-bean-name>
		<managed-bean-class>SelectionTags</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	
	<navigation-rule>
		<display-name>menu</display-name>
		<from-view-id>/menu.jspx</from-view-id>
		<navigation-case>
			<from-outcome>client</from-outcome>
			<to-view-id>/client.jspx</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>#{configurationBean.newResourceListener}</from-outcome>
			<to-view-id>"/#{configurationBean.newResourceListener}.jspx"</to-view-id>
		</navigation-case>
		<navigation-case>
			<from-outcome>ok</from-outcome>
			<to-view-id>/menu.jspx</to-view-id>
		</navigation-case>
	</navigation-rule>

</faces-config>
